org.apache.hadoop.yarn.api.records

## Class ExecutionTypeRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ExecutionTypeRequest

- All Implemented Interfaces:
    Comparable<ExecutionTypeRequest>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class ExecutionTypeRequest
      extends Object
      implements Comparable<ExecutionTypeRequest>

  An object of this class represents a specification of the execution guarantee of the Containers associated with a ResourceRequest. It consists of an `ExecutionType` as well as flag that explicitly asks the configuredScheduler to return Containers of exactly the Execution Type requested.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionTypeRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `abstract boolean` | `getEnforceExecutionType()` Get whether Scheduling Authority should return Containers of exactly the Execution Type requested for this `ResourceRequest`.
    `abstract ExecutionType` | `getExecutionType()` Get `ExecutionType`.
    `int` | `hashCode()`
    `static ExecutionTypeRequest` | `newInstance()`
    `static ExecutionTypeRequest` | `newInstance(ExecutionType execType)`
    `static ExecutionTypeRequest` | `newInstance(ExecutionType execType, boolean ensureExecutionType)`
    `abstract void` | `setEnforceExecutionType(boolean enforceExecutionType)` Set to true to explicitly ask that the Scheduling Authority return Containers of exactly the Execution Type requested.
    `abstract void` | `setExecutionType(ExecutionType execType)` Set the `ExecutionType` of the requested container.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### ExecutionTypeRequest

          public ExecutionTypeRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public static ExecutionTypeRequest newInstance()

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public static ExecutionTypeRequest newInstance(ExecutionType execType)

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public static ExecutionTypeRequest newInstance(ExecutionType execType,
                                                                                                                 boolean ensureExecutionType)

    - #### setExecutionType

          @InterfaceAudience.Public
          public abstract void setExecutionType(ExecutionType execType)

      Set the `ExecutionType` of the requested container.
      Parameters:
        `execType` - ExecutionType of the requested container

    - #### getExecutionType

          @InterfaceAudience.Public
          public abstract ExecutionType getExecutionType()

      Get `ExecutionType`.
      Returns:
        `ExecutionType`.

    - #### setEnforceExecutionType

          @InterfaceAudience.Public
          public abstract void setEnforceExecutionType(boolean enforceExecutionType)

      Set to true to explicitly ask that the Scheduling Authority return Containers of exactly the Execution Type requested.
      Parameters:
        `enforceExecutionType` - whether ExecutionType request should be strictly honored.

    - #### getEnforceExecutionType

          @InterfaceAudience.Public
          public abstract boolean getEnforceExecutionType()

      Get whether Scheduling Authority should return Containers of exactly the Execution Type requested for this `ResourceRequest`. Defaults to false.
      Returns:
        whether ExecutionType request should be strictly honored

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2022 Apache Software Foundation. All rights reserved.